import unittest
import AutoRPE.UtilsRPE.NatureDeterminer as NatureDeterminer

class TestNatureDeterminer(unittest.TestCase):

    def test_has_operations(self):
        string = 'SUM( a_i(:,:,:)%val - a_i_b(:,:,:)%val, dim=3 ) * r1_Dt_ice'
        self.assertTrue(NatureDeterminer.has_operations(string))

    def test_has_operations_2(self):
        # Some cases that appear in NEMO
        cases = [
            'kndims=indims',
            'lduld=lluld',
            'kfillmode=jpfillnothing',
            'lsend=llsend2',
            'ktype = jp_i4',
            'pfillval=1.0_wp',

        ]
        for case in cases:
            self.assertFalse(NatureDeterminer.has_operations(case))

    def test_has_intrinsics(self):
        string = 'MAXVAL(zCu_cfl%val,dim=3)'
        self.assertTrue(NatureDeterminer.has_intrinsics(string))



if __name__ == '__main__':
    unittest.main()
